GET
/api/v2/loyalty/merchants/{merchantId}/loyalty-rulesGet merchant loyalty rules for a specific merchant
Authentication
Send your API key in the x-api-key header on every request.
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| merchantId (path) | unknown | Yes | The unique identifier of the merchant |
Responses
200 — OK
| Field | Type | Required | Description |
|---|---|---|---|
| Id | unknown | No | |
| RuleName | string | No | |
| PointsPerUnit | unknown | No | |
| Multiplier | unknown | No | |
| MinTransactionAmount | unknown | No | |
| MaxTransactionAmount | unknown | No | |
| IsActive | boolean | No | |
| ValidFrom | string (date-time) | No | |
| ValidUntil | string (date-time) | No | |
| CreatedAt | string (date-time) | No | |
| UpdatedAt | string (date-time) | No |
401 — Unauthorized
| Field | Type | Required | Description |
|---|---|---|---|
| Message | string | No | |
| Code | string | No | |
| Status | unknown | No | |
| ValidationErrors | object | No | |
| Details | string | No |
404 — Not Found
| Field | Type | Required | Description |
|---|---|---|---|
| Message | string | No | |
| Code | string | No | |
| Status | unknown | No | |
| ValidationErrors | object | No | |
| Details | string | No |
500 — Internal Server Error
| Field | Type | Required | Description |
|---|---|---|---|
| Message | string | No | |
| Code | string | No | |
| Status | unknown | No | |
| ValidationErrors | object | No | |
| Details | string | No |
Example request
curl -X GET "https://{base_url}/api/v2/loyalty/merchants/{merchantId}/loyalty-rules" \
-H "x-api-key: YOUR_API_KEY"This page is generated from the live OpenAPI specification and always matches the current API.